Bug 116607 - dvips -E creates invalid bounding box
dvips -E creates invalid bounding box
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: tetex (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-23 14:04 EST by Raphael Clifford
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-25 08:54:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sample latex file (1.97 KB, text/plain)
2004-02-23 14:05 EST, Raphael Clifford
no flags Details
sample dvi file from latex file (21.37 KB, text/plain)
2004-02-23 14:06 EST, Raphael Clifford
no flags Details
compressed eps file from sample latex/dvi file with bounding box problem (12.44 KB, application/octet-stream)
2004-02-23 14:07 EST, Raphael Clifford
no flags Details

  None (edit)
Description Raphael Clifford 2004-02-23 14:04:35 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)
Gecko/20031114

Description of problem:
dvips -E seems to create an invalid bounding box. In this case it is

%%BoundingBox: 72 72 72 72

This makes Imagemagick "convert" fail for example which means that lyx
can't view the file etc.

Version-Release number of selected component (if applicable):
dvips 5.92b tetex-dvips-2.0.2-8

How reproducible:
Always

Steps to Reproduce:
1. latex approx-pic.tex
2. dvips -E -o test.eps approx-pic
3. grep Bounding test.eps
   

Actual Results:  You see

%%BoundingBox: 72 72 72 72


Expected Results:  Something more like

%%BoundingBox: 140 570 471 639

or anything coherent

Additional info:

I will attach the tex and dvi files below for testing

dvips -v
This is dvips(k) 5.92b Copyright 2002 Radical Eye Software
(www.radicaleye.com)
Comment 1 Raphael Clifford 2004-02-23 14:05:19 EST
Created attachment 97956 [details]
sample latex file
Comment 2 Raphael Clifford 2004-02-23 14:06:06 EST
Created attachment 97957 [details]
sample dvi file from latex file
Comment 3 Raphael Clifford 2004-02-23 14:07:34 EST
Created attachment 97958 [details]
compressed eps file from sample latex/dvi file with bounding box problem
Comment 4 Tim Waugh 2004-03-25 08:54:31 EST
According to the man page -E only works for glyphs made by characters
and rules, not for graphics.

Note You need to log in before you can comment on or make changes to this bug.